Licenserecon: Verifica as licenças no arquivo debian/copyright em relação ao licensecheck.

lrc analisa um arquivo de copyright DEP-5 válido e anota as licenças de todos
os arquivos na árvore de origem.
Licensecheck é então executado e os resultados comparados.
Diferenças entre licenças e versões de licença em debian/copyright
e a saída de licensecheck são relatadas.

Deve ser executado no nível superior de uma árvore fonte Debian limpa,
com um arquivo de copyright DEP-5 válido. A árvore de origem deve estar limpa,
caso contrário, os resultados poderão ser contaminados por relatórios espúrios
sobre a construção arquivos gerados.
É aconselhável executar o lintian primeiro para garantir a sintaxe correta
de debian/copyright.

Os resultados são apenas indicativos e não substituem a verificação manual.
Destina-se a relatar erros óbvios. O design pretende minimizar falsos
positivos tanto quanto prático. No entanto, falsos positivos ocorrerão se o
a ortografia da sequência curta da licença não é idêntica entre o arquivo e
debian/copyright. Isto é bastante provável com licenciamento complexo, como
Construções 'e'/'ou' e exceções específicas.

Os falsos positivos podem ser suprimidos com a criação
de um arquivo debian/lrc.config
Liste no arquivo os nomes de arquivos e/ou diretórios a serem excluídos.
A sintaxe do arquivo está descrita em /usr/share/lrc/lrc.config

Opções de linha de comando a serem usadas em cada execução
(talvez --spdx etc. com o Salsa CI)
podem ser incluídas em debian/lrc.config

Somente arquivos com cabeçalho de copyright são verificados. Falsos negativos
podem ocorrer se licensecheck não pode determinar a licença de um arquivo.
Arquivos denominados copyright, cópia, leia-me etc. não são verificados, pois
geralmente especificam as licenças de outros arquivos em vez dos seus próprios.
Os arquivos do Autotools gerados automaticamente não são verificados,
já que eles não precisam estar listados em debian/copyright,
e de outra forma poderia aparecer como uma diferença.

CÓDIGOS DE SAÍDA
     0: Nenhuma diferença encontrada
     1: Falha ao executar (sem debian/copyright válido)
     3: Diferenças de licença encontradas

AMOSTRA DE SAÍDA
     Exemplo de saída invocando lrc.

     SUCESSO:
        Parsing Source Tree  ....
        Reading copyright    ....
        Running licensecheck ....

        No differences found

     DIFERENÇAS:
        Parsing Source Tree  ....
        Reading copyright    ....
        Running licensecheck ....

        debian/copyright| licensecheck

        LGPL-2.1+       | GPL-2+       test/src/config/chan.c
        GPL-2+          | public-domain share/lua/int/dummy.lua
        GPL-2+          | LGPL-2.1+    modules/access/sr_common.h

OPÇÕES
As opções não diferenciam maiúsculas de minúsculas. Opções inválidas são ignoradas.

-? -h ou --help
Grava este arquivo leia-me em stdout.

-l ou --long
A saída é gerada para cada arquivo onde o licensecheck detecta a licença,
não apenas aqueles com discrepâncias de licença.

-f ou --format
Saída formatado.
Produz a licença debian/copyright, licença de licensecheck e nome do arquivo
em três linhas separadas, seguidas de uma linha em branco.
Cabeçalhos e linhas de resumo são suprimidos.
As informações da versão não são exibidas a menos que especificado pela opção -v.

-s ou --short
Onde seriam gerados blocos de arquivos com diferenças de licença idênticas,
apenas o primeiro arquivo é mostrado. Substitui -l (se especificado)

-v ou --version
Grava os números de versão de licenserecon e licensecheck em stdout e sai

-x or --spdx
Espera nomes curtos de licenças no estilo SPDX.
(O padrão são os nomes curtos do debian DEP 5)

PIPELINE DE CI DO SALSA
O lrc pode ser incluído nos pipelines de CI do Salsa usando
 debian/salsa-ci.yml@debian/licenserecon
como o arquivo de configuração de CI/CD.
